Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class DatePickerListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.DatePickerListenerAdapter

All Implemented Interfaces:
  ComponentListener, DatePickerListener

    public class DatePickerListenerAdapter

extends ComponentListenerAdapter
implements DatePickerListener

`DatePicker` listener adapter.

Constructor Summary
`DatePickerListenerAdapter()`

Method Summary
`void` | `onSelect(DatePicker dataPicker, java.util.Date date)` Fires when a date is selected.

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### DatePickerListenerAdapter

    public DatePickerListenerAdapter()

Method Detail

### onSelect

    public void onSelect(DatePicker dataPicker,
                         java.util.Date date)

  Description copied from interface: `DatePickerListener`
  Fires when a date is selected.

  Specified by:
    `onSelect` in interface `DatePickerListener`
  Parameters:
    `dataPicker` - this
    `date` - the selected date

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD